from buildbot.plugins import steps, util

factory = util.BuildFactory()
factory.addStep(steps.ShellCommand(command=['git', 'clone', '--branch', 'master',
					    'https://git.blackfinn.de/adc_gpio_i2c/i2c_bb.git']))
factory.addStep(steps.ShellCommand(command=['make', '-C', 'i2c_bb', 'check', '-j8']))
factory.addStep(steps.ShellCommand(command=['make', '-C', 'i2c_bb', 'all', '-j8', 'EXTRA_INC=/worker/include']))
factory.addStep(steps.ShellCommand(command=['make', '-C', 'i2c_bb', 'exec_unit_test', '-j8', 'EXTRA_INC=/worker/include']))
factory.addStep(steps.ShellCommand(command='make -C i2c_bb clean && make -C i2c_bb coverage -j8 EXTRA_INC=/worker/include'))

builder = util.BuilderConfig(name='i2c_bb', workernames=["buildbot-cpp-worker"],
                             factory=factory)

def append(builders):
    builders.append(builder)
    return builders

